---
title: "List Group Roles"
slug: "list-group-roles"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List Group Roles

Get/api/v1/groups.roles

List all the roles of users in the private channel.

### Changelog

| Version | Description |
| --- | --- |
| 0.65.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

Enter the private channel ID. Alternatively, you can use the `roomName` parameter and enter the private channel's name.

Example67ade8ef57422a89b02e2ce3

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='c3baff3c-bf4d-4bb5-924e-9e029e446b6f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='16f849f4-ac90-4dcf-9042-e83e120067fc'>Example</option>
</select>Example

```json
{
  "roles": [
    {
      "rid": "BaE62jfDLXK3Xo6BA",
      "u": {
        "_id": "BkNkw3iKgNyhMbPyW",
        "username": "ronnie.dio",
        "name": "Ronnie James Dio"
      },
      "roles": [
        "moderator"
      ],
      "_id": "ehPuGyZBedznJsQHp"
    }
  ],
  "success": true
}
```

Expand Allobject  roles Array of object   object  ridstring    
uobject  _idstring    
usernamestring    
namestring    

roles Array of string   string    
_idstring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='1eac53b6-5b83-4331-b762-3b1ce3bd6205'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5c9419a1-75c8-4ed6-ae7a-b09cbc24e27e'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='79f8c45c-6f9f-4a82-8b74-2efc4a41f9d4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='428e4f88-cb14-4ed7-9fcf-560496ccea38'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
